<!doctype html>

<html lang="en">
<head>
    <meta charset="utf-8">
    <title>GerritCICD Example App</title>
    <meta name="description" content="The HTML5 Herald">
    <meta name="author" content="Sander Gerritsen">
    <style>
        .commit-data { display: none; }
        .buttons div {
            margin-bottom: 16px;
        }
    </style>
</head>

<body>
    <h1>GerritCICD Example App</h1>

    <p>
        This app consists of this html file and linked js file. Additionally an
        <a href="auto.html">auto.html</a>, api.json, api.php, Dockerfile
        and docker-compose.yml to extend this example by fetching commit data from the web app.
    </p>
    <div id="contentHash" class="commit-data"></div>

    <div class="buttons">
        <div><button name="btn" id="btn1" class="commit-btn">Send commit 9b955f0ff233</button></div>
        <div><button name="btn" id="btn2" class="commit-btn">Send commit dea72b00804f</button></div>
        <div><button name="btn" id="btn3" class="commit-btn">Send commit 2ebf5406b13d</button></div>
    </div>

    <h2>Usage</h2>
    <p>Open the chrome devtools (F12) and navigate to the GerritCICD panel (next to the 'Elements'/'Console' panels).</p>
    <p>Click any of the three buttons. The GerritCICD panel will show up green with the latest commit information.</p>
    <p>
        If you click a button more than once, GerritCICD will act on the first event and will ignore all other clicks.
        As GerritCICD will only notify you when a new commit is found.
    </p>

    <h2>HTML</h2>
    <pre><code>&lt;div id="contentHash" class="commit-data"&gt;&lt;/div&gt;</code></pre>
    <p>
        A DIV element to store the latest commit information, GerritCICD will observe this element
        and act on changes to the content.
    </p>

    <h2>CSS</h2>
    <pre><code>.commit-data { display: none; }</code></pre>
    <p>To hide the data for the website visitor.</p>

    <script src="index.js"></script>
</body>
</html>